Bug 1744353 - Request to package snapd for EPEL 8
Summary: Request to package snapd for EPEL 8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: snapd
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-21 22:06 UTC by jatin
Modified: 2019-10-31 03:19 UTC (History)
11 users (show)

Fixed In Version: snapd-2.42-2.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-31 03:19:16 UTC
Type: Bug


Attachments (Terms of Use)

Description jatin 2019-08-21 22:06:52 UTC
Snapd required for building snap packages and integration with snapcraft. 
There was some Discussion on Snapcraft forums and in the end they were able to build snapd manually.. Im giving the link to the discussion below.
https://forum.snapcraft.io/t/how-to-build-snapd-from-source-im-using-red-hat-enterprise-linux-8/12640

Comment 1 jatin 2019-08-22 15:55:48 UTC
And the snapd package that is in EPEL 7 actually works in RHEL 8 without any problems all tho i removed EPEL 7 as i dont want EPEL 7 to be in RHEL 8, can we just take that package for now and put it in testing or in EPEL 8.

Comment 2 Kevin Fenzi 2019-08-22 15:59:11 UTC
Moving to snapd for the existing maintainer to comment on.

Comment 3 Neal Gompa 2019-08-25 15:54:15 UTC
I'm considering it for 2.41.

Comment 4 Philipp Trulson 2019-09-27 20:44:51 UTC
What's the status on this? 2.41 was released almost a month ago and with the release of CentOS 8 more and more people rely on it.

Comment 5 Neal Gompa 2019-10-03 18:30:09 UTC
Now that CentOS 8 is out, I'm looking into it for 2.42.

Comment 6 jatin 2019-10-11 14:15:11 UTC
Any updates ?

Comment 7 Stephen John Smoogen 2019-10-11 14:45:14 UTC
snapd requires about a dozen golang packages to build. Because golang is a module in RHEL-8 then all those need to be a module also. That means that golang packages are stuck until the module build system can work with EPEL. That is looking to be 2-3 months from now.

Comment 8 Fedora Update System 2019-10-29 13:07:20 UTC
FEDORA-EPEL-2019-c613157e23 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c613157e23

Comment 9 Fedora Update System 2019-10-30 02:37:19 UTC
snapd-2.42-2.el8, snapd-glib-1.49-1.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c613157e23

Comment 10 Fedora Update System 2019-10-31 03:19:16 UTC
snapd-2.42-2.el8, snapd-glib-1.49-1.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.